# Migration state of a instance

Migration state of a instance

Endpoint: GET /v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/dbinstance/{dbinstance}/migrationstate
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `dbschema` (string, required)
    Identifier of the database schema

  - `dbinstance` (string, required)
    database instance unique id

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Query parameters:

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items on each page.

  - `limit` (integer)
    Pagination: Number of items to return.

  - `search_term` (string)
    This would be used to filter resources having attributes matching the search term.

## Response 200 fields (application/json):

  - `changeSets` (array)

  - `changeSets.author` (string, required)

  - `changeSets.changeSet` (string, required)
    Identifier of the Change Set

  - `changeSets.changeSetFQN` (string, required)

  - `changeSets.comment` (string)
    comment defined in changeSet

  - `changeSets.deployedAt` (integer, required)

  - `changeSets.fileName` (string, required)

  - `changeSets.label` (string)
    label defined in changeSet

  - `changeSets.pipeline` (string, required)

  - `changeSets.planExecutionId` (string, required)

  - `changeSets.stageExecutionId` (string, required)

  - `changeSets.status` (string, required)
    Status of change set deployment
    Enum: "Rolled_Back", "Successfully_Deployed", "Not_Deployed", "Deployment_Failed"

  - `changeSets.tag` (string)

  - `instanceName` (string, required)
    Name of the Instance

  - `schemaName` (string, required)
    Name of the Schema

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail


